curl --request POST \
--url https://api.velt.dev/v2/workspace/apikey/create \
--header 'Content-Type: application/json' \
--header 'x-velt-auth-token: <x-velt-auth-token>' \
--header 'x-velt-workspace-id: <x-velt-workspace-id>' \
--data '
{
"data": {
"ownerEmail": "<string>",
"type": "<string>",
"createAuthToken": true,
"apiKeyName": "<string>",
"planInfo": {
"type": "<string>"
},
"customPlanInfo": true,
"customPlanInfoData": {},
"allowedDomains": [
"<string>"
],
"addLocalHostToAllowedDomains": true,
"useEmailService": true,
"useWebhookService": true,
"emailServiceConfig": {
"type": "<string>",
"apiKey": "<string>",
"fromEmail": "<string>",
"fromCompany": "<string>",
"commentTemplateId": "<string>",
"tagTemplateId": "<string>"
},
"webhookServiceConfig": {
"authToken": "<string>",
"rawNotificationUrl": "<string>",
"processedNotificationUrl": "<string>"
}
}
}
'{
"result": {
"status": "success",
"message": "API key created successfully.",
"data": {
"apiKey": "your_new_api_key"
}
}
}
curl --request POST \
--url https://api.velt.dev/v2/workspace/apikey/create \
--header 'Content-Type: application/json' \
--header 'x-velt-auth-token: <x-velt-auth-token>' \
--header 'x-velt-workspace-id: <x-velt-workspace-id>' \
--data '
{
"data": {
"ownerEmail": "<string>",
"type": "<string>",
"createAuthToken": true,
"apiKeyName": "<string>",
"planInfo": {
"type": "<string>"
},
"customPlanInfo": true,
"customPlanInfoData": {},
"allowedDomains": [
"<string>"
],
"addLocalHostToAllowedDomains": true,
"useEmailService": true,
"useWebhookService": true,
"emailServiceConfig": {
"type": "<string>",
"apiKey": "<string>",
"fromEmail": "<string>",
"fromCompany": "<string>",
"commentTemplateId": "<string>",
"tagTemplateId": "<string>"
},
"webhookServiceConfig": {
"authToken": "<string>",
"rawNotificationUrl": "<string>",
"processedNotificationUrl": "<string>"
}
}
}
'{
"result": {
"status": "success",
"message": "API key created successfully.",
"data": {
"apiKey": "your_new_api_key"
}
}
}
x-velt-workspace-id and x-velt-auth-token (from the Create Workspace response) as headers.POST https://api.velt.dev/v2/workspace/apikey/create
Show properties
"testing" or "production". Production keys require planInfo or customPlanInfo.true."production" type unless customPlanInfo is true.Show properties
"sdk test", "production").planInfo.customPlanInfo is true. You can pass any key-value pairs needed for your custom plan configuration.Show properties
"default" or "sendgrid".{
"data": {
"ownerEmail": "owner@example.com",
"type": "testing",
"createAuthToken": true
}
}
{
"result": {
"status": "success",
"message": "API key created successfully.",
"data": {
"apiKey": "your_new_api_key"
}
}
}
{
"error": {
"status": "INVALID_ARGUMENT",
"message": "ownerEmail is required."
}
}
{
"result": {
"status": "success",
"message": "API key created successfully.",
"data": {
"apiKey": "your_new_api_key"
}
}
}
Was this page helpful?